Name:           mailutils
Version:        3.13
Release:        1%{?dist}
Summary:        Swiss-army knife of electronic mail handling

License:        GPLv3
URL:            https://mailutils.org
Source0:        https://ftp.gnu.org/gnu/mailutils/mailutils-%{version}.tar.xz

Patch0:         mailutils-configure-guile.patch
Patch1:         mailutils-frm-limits.patch

BuildRequires:  gettext
BuildRequires:  bison flex
BuildRequires:  libtool libtool-ltdl-devel
BuildRequires:  /usr/bin/makeinfo
BuildRequires:  readline-devel
BuildRequires:  libunistring-devel
BuildRequires:  fribidi-devel
BuildRequires:  gnutls-devel
BuildRequires:  libgsasl-devel
BuildRequires:  krb5-devel
BuildRequires:  openldap-devel
BuildRequires:  libdb-devel
BuildRequires:  gdbm-devel
BuildRequires:  libpq-devel
BuildRequires:  mariadb-connector-c-devel
BuildRequires:  pam-devel
BuildRequires:  python3-devel
BuildRequires:  guile22-devel
BuildRequires:  emacs

Recommends:     mailutils-doc = %{version}-%{release}

%description
Mailutils is a swiss army knife of electronic mail handling. It offers
a rich set of utilities and daemons for processing e-mail.

%package        server
Summary:        Daemons from Mailutils
Recommends:     mailutils-doc = %{version}-%{release}

%description    server
Daemons from Mailutils.

%package        libs
Summary:        Mailutils libraries

%description    libs
Mailutils libraries.

%package        libs-devel
Summary:        Development files for mailutils-libs
Recommends:     mailutils-doc = %{version}-%{release}

%description    libs-devel
Development files for mailutils-libs.

%package        mh
Summary:        Message Handling system from Mailutils
Recommends:     mailutils-doc = %{version}-%{release}

%description    mh
The GNU Message Handling System.

%package        guile
Summary:        Guile bindings for mailutils-libs
Requires:       guile22

%description    guile
Guile bindings for GNU Mailutils.

%package -n     python3-mailutils
Summary:        Python bindings for mailutils-libs

%description -n python3-mailutils
Python bindings for GNU Mailutils.

%package        doc
Summary:        Documentation for mailutils.

%description    doc
Info pages for GNU Mailutils.


%prep
%autosetup -p1


%build
%configure \
    --with-lispdir=%{_datadir}/emacs/site-lisp \
    --enable-virtual-domains \
    --enable-mh \
    --enable-python \
    --with-gnutls \
    --with-berkeley-db \
    --with-gdbm \
    --with-kyotocabinet \
    --with-gssapi \
    --with-gsasl \
    --with-guile \
    --with-mysql \
    --with-postgres \
    --disable-static \
    --disable-debug \
    GUILE_CONFIG=/usr/bin/guile-config2.2 \
    GUILE_SNARF=/usr/bin/guile-snarf2.2 \
    GUILE_TOOLS=/usr/bin/guile-tools2.2 \
    GUILE=/usr/bin/guile2.2
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
%find_lang %{name}


%post doc
/sbin/install-info %{_infodir}/mailutils.info.gz %{_infodir}/dir

%postun doc
/sbin/install-info --delete %{_infodir}/mailutils.info.gz %{_infodir}/dir


%files
%license COPYING COPYING.LESSER
%doc README NEWS ChangeLog
%{_bindir}/frm
%{_bindir}/from
%{_bindir}/mail
%{_bindir}/sieve
%{_bindir}/messages
%{_bindir}/readmsg
%{_bindir}/dotlock
%{_bindir}/movemail
%{_bindir}/mimeview
%{_bindir}/decodemail
%{_bindir}/putmail
%{_bindir}/mailutils
%{_bindir}/popauth
%{_mandir}/man1/mail.1*
%{_mandir}/man1/popauth.1*
%{_libexecdir}/mailutils/mailutils-acl
%{_libexecdir}/mailutils/mailutils-dbm
%{_libexecdir}/mailutils/mailutils-filter
%{_libexecdir}/mailutils/mailutils-imap
%{_libexecdir}/mailutils/mailutils-info
%{_libexecdir}/mailutils/mailutils-logger
%{_libexecdir}/mailutils/mailutils-maildir_fixup
%{_libexecdir}/mailutils/mailutils-pop
%{_libexecdir}/mailutils/mailutils-query
%{_libexecdir}/mailutils/mailutils-send
%{_libexecdir}/mailutils/mailutils-smtp
%{_libexecdir}/mailutils/mailutils-stat
%{_libexecdir}/mailutils/mailutils-wicket
%{_libexecdir}/mailutils/mailutils-flt2047

%files server
%{_sbindir}/pop3d
%{_sbindir}/imap4d
%{_sbindir}/comsatd
%{_sbindir}/lmtpd
%{_sbindir}/mda
%{_mandir}/man1/imap4d.1*
%{_mandir}/man1/pop3d.1*

%files libs -f %{name}.lang
%{_libdir}/libmailutils.so.*
%{_libdir}/libmu_auth.so.8*
%{_libdir}/libmu_dbm.so.8*
%{_libdir}/libmu_dotmail.so.8*
%{_libdir}/libmu_imap.so.8*
%{_libdir}/libmu_maildir.so.8*
%{_libdir}/libmu_mailer.so.8*
%{_libdir}/libmu_mbox.so.8*
%{_libdir}/libmu_mh.so.8*
%{_libdir}/libmu_pop.so.8*
%{_libdir}/libmu_py.so.8*
%{_libdir}/libmu_scm.so.8*
%{_libdir}/libmu_sieve.so.8*
%{_libdir}/libmuaux.so.8*
%{_libdir}/mailutils/editheader.so
%{_libdir}/mailutils/list.so
%{_libdir}/mailutils/moderator.so
%{_libdir}/mailutils/numaddr.so
%{_libdir}/mailutils/pipe.so
%{_libdir}/mailutils/spamd.so
%{_libdir}/mailutils/timestamp.so
%{_libdir}/mailutils/vacation.so

%files libs-devel
%{_bindir}/mailutils-config
%{_libexecdir}/mailutils/mailutils-cflags
%{_libexecdir}/mailutils/mailutils-ldflags
%{_includedir}/mailutils
%{_libdir}/libmailutils.so
%{_libdir}/libmu_auth.so
%{_libdir}/libmu_dbm.so
%{_libdir}/libmu_dotmail.so
%{_libdir}/libmu_imap.so
%{_libdir}/libmu_maildir.so
%{_libdir}/libmu_mailer.so
%{_libdir}/libmu_mbox.so
%{_libdir}/libmu_mh.so
%{_libdir}/libmu_pop.so
%{_libdir}/libmu_py.so
%{_libdir}/libmu_scm.so
%{_libdir}/libmu_sieve.so
%{_libdir}/libmuaux.so
%{_datadir}/aclocal/mailutils.m4

%files mh
%{_bindir}/mu-mh
%{_datadir}/mailutils/mh/components
%{_datadir}/mailutils/mh/forwcomps
%{_datadir}/mailutils/mh/mailutils-mh.el
%{_datadir}/mailutils/mh/mhl.format
%{_datadir}/mailutils/mh/mhl.forward
%{_datadir}/mailutils/mh/mhl.headers
%{_datadir}/mailutils/mh/mhl.repl
%{_datadir}/mailutils/mh/mhl.usenet
%{_datadir}/mailutils/mh/replcomps
%{_datadir}/mailutils/mh/replgroupcomps
%{_datadir}/mailutils/mh/scan.default
%{_datadir}/mailutils/mh/scan.mailx
%{_datadir}/mailutils/mh/scan.size
%{_datadir}/mailutils/mh/scan.time
%{_datadir}/mailutils/mh/scan.timely
%{_datadir}/emacs/site-lisp/mailutils-mh.el*

%files guile
%{_bindir}/guimb
%{_libdir}/libguile-mailutils-*.so
%{_datadir}/guile/site/2.2/mailutils

%files -n python3-mailutils
%{python3_sitelib}/mailutils
%{python3_sitearch}/mailutils

%files doc
%{_infodir}/mailutils.info*
